Skip to main content
https://.thoughtindustries.com

Users

Returns a paginated list of users, optionally filtered by role

Returns a paginated list of users, optionally filtered by role.

GEThttps://example.thoughtindustries.com/incoming/v2/users

Example request

curl "https://example.thoughtindustries.com/incoming/v2/users" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
rolestringNoqueryFilters the returned users by role key (e.g. admin, learner).
pageintegerNoqueryPage number to retrieve in the paginated result set.

Example response

{
  "data": {
    "APIUsers": {
      "pageInfo": {
        "perPage": 0,
        "currentPage": 0,
        "total": 0,
        "hasMore": true
      },
      "aggregations": [
        {
          "key": "string",
          "label": "string",
          "buckets": [
            {
              "query": "string",
              "value": "string",
              "label": "string",
              "description": "string",
              "count": 0
            }
          ]
        }
      ],
      "users": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "email": "string",
          "firstName": "string",
          "abbreviatedName": "string",
          "asset": "string",
          "lastName": "string",
          "name": "string",
          "lastActiveAt": "2024-01-01T00:00:00.000Z",
          "bio": "string",
          "twoFactorEnabled": true,
          "firstInitial": "string",
          "lastInitial": "string",
          "invitedByName": "string",
          "shouldHighlight": true,
          "purchasedCourses": [
            {
              "course": {
                "...": "..."
              },
              "courseId": "00000000-0000-0000-0000-000000000000",
              "certificate": "00000000-0000-0000-0000-000000000000",
              "certificateIssuedAt": "2024-01-01T00:00:00.000Z",
              "instructorAccessPurchased": true,
              "status": "string"
            }
          ],
          "purchasedBundles": [
            {
              "bundle": {
                "...": "..."
              },
              "bundleId": "00000000-0000-0000-0000-000000000000"
            }
          ],
          "activeLicense": {
            "id": "00000000-0000-0000-0000-000000000000",
            "name": "string",
            "label": "string",
            "sku": "string",
            "client": {
              "...": "..."
            },
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "accessDays": 0,
            "expirationDate": "2024-01-01T00:00:00.000Z",
            "seatsLimit": 0,
            "dashboardLayoutId": "00000000-0000-0000-0000-000000000000",
            "enableBranding": true,
            "schoolName": "string",
            "isDefault": true,
            "learningPaths": [
              {
                "...": "..."
              }
            ],
            "learningPathIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "appearance": {
              "...": "..."
            },
            "courses": [
              {
                "...": "..."
              }
            ],
            "courseIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "courseTags": [
              {
                "...": "..."
              }
            ],
            "courseTagIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "parentLicense": {
              "...": "..."
            },
            "parentLicenseId": "00000000-0000-0000-0000-000000000000",
            "childLicenses": [
              {
                "...": "..."
              }
            ],
            "ref1": "string",
            "ref2": "string",
            "ref3": "string",
            "ref4": "string",
            "ref5": "string",
            "ref6": "string",
            "ref7": "string",
            "ref8": "string",
            "ref9": "string",
            "ref10": "string"
          },
          "allocatedLicenses": [
            {
              "license": {
                "...": "..."
              },
              "licenseRole": "student",
              "licenseId": "00000000-0000-0000-0000-000000000000",
              "status": "string"
            }
          ],
          "allocatedLearningPaths": [
            {
              "learningPath": {
                "...": "..."
              },
              "learningPathId": "00000000-0000-0000-0000-000000000000",
              "status": "string"
            }
          ],
          "attendedMeetings": [
            {
              "attendanceDate": "2024-01-01T00:00:00.000Z",
              "user": {
                "...": "..."
              },
              "meeting": {
                "...": "..."
              }
            }
          ],
          "waitlistedCourses": [
            {
              "course": {
                "...": "..."
              },
              "courseId": "00000000-0000-0000-0000-000000000000"
            }
          ],
          "adminClients": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "name": "string",
              "schoolName": "string",
              "courses": [
                {
                  "...": "..."
                }
              ],
              "learningPaths": [
                {
                  "...": "..."
                }
              ],
              "learningPathIds": [
                "00000000-0000-0000-0000-000000000000"
              ],
              "courseIds": [
                "00000000-0000-0000-0000-000000000000"
              ],
              "courseTags": [
                {
                  "...": "..."
                }
              ],
              "courseTagIds": [
                "00000000-0000-0000-0000-000000000000"
              ],
              "purchasableContentIds": [
                "00000000-0000-0000-0000-000000000000"
              ],
              "purchasableTagIds": [
                "00000000-0000-0000-0000-000000000000"
              ],
              "purchasableTags": [
                {
                  "...": "..."
                }
              ],
              "licenseEndDate": "2024-01-01T00:00:00.000Z",
              "primaryLicense": {
                "...": "..."
              },
              "dashboardLayoutId": "00000000-0000-0000-0000-000000000000",
              "panorama": true,
              "emailLayout": {
                "...": "..."
              },
              "appearance": {
                "...": "..."
              },
              "catalog": {
                "...": "..."
              },
              "sku": "string",
              "slug": "example-slug",
              "customHost": "string",
              "sso": {
                "...": "..."
              },
              "redemptionLayoutId": "00000000-0000-0000-0000-000000000000",
              "pendingJobs": [
                {
                  "...": "..."
                }
              ],
              "seatsAllocatedCount": 0,
              "seatsLimit": 0,
              "seatsUsedCount": 0,
              "tags": [
                {
                  "...": "..."
                }
              ],
              "createdAt": "2024-01-01T00:00:00.000Z",
              "updatedAt": "2024-01-01T00:00:00.000Z",
              "licenses": [
                {
                  "...": "..."
                }
              ],
              "licenseTree": [
                {
                  "...": "..."
                }
              ],
              "currentUserManagerAllocatedLicenseTree": [
                {
                  "...": "..."
                }
              ],
              "notificationEmails": "string",
              "enableSegmentation": true,
              "enableDiscussions": true,
              "enableCommunitiesSegmentation": true,
              "enableBranding": true,
              "enableEcommerce": true,
              "enableOnboardingSurvey": true,
              "enableRecommendationAssessment": true,
              "enableGlobalLinks": true,
              "enableNavLinks": true,
              "enableContentDetailPage": true,
              "enableLicenseDashboards": true,
              "enableCustomEmailSettings": true,
              "disabled": true,
              "clientSubscriptionNeedsSetup": true,
              "defaultLanguage": "string",
              "languageSelectorEnabled": true,
              "languages": [
                "string"
              ],
              "autoFilterForSelectedLanguage": true,
              "secretKey": "string",
              "enableCreditPurchasing": true,
              "currentBalance": 0,
              "startingBalance": 0,
              "allocatedCredits": 0,
              "clientAdminAllocatableLearningPaths": [
                "00000000-0000-0000-0000-000000000000"
              ]
            }
          ],
          "roleKey": "string",
          "address1": "string",
          "address2": "string",
          "city": "string",
          "state": "string",
          "zipCode": "string",
          "country": "string",
          "telephone": "string",
          "stripeCustomerId": "00000000-0000-0000-0000-000000000000",
          "externalCustomerId": "00000000-0000-0000-0000-000000000000",
          "createdAt": "2024-01-01T00:00:00.000Z",
          "updatedAt": "2024-01-01T00:00:00.000Z",
          "sfAccountId": "00000000-0000-0000-0000-000000000000",
          "sfContactId": "00000000-0000-0000-0000-000000000000",
          "shippingName": "string",
          "client": {
            "id": "00000000-0000-0000-0000-000000000000",
            "name": "string",
            "schoolName": "string",
            "courses": [
              {
                "...": "..."
              }
            ],
            "learningPaths": [
              {
                "...": "..."
              }
            ],
            "learningPathIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "courseIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "courseTags": [
              {
                "...": "..."
              }
            ],
            "courseTagIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "purchasableContentIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "purchasableTagIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "purchasableTags": [
              {
                "...": "..."
              }
            ],
            "licenseEndDate": "2024-01-01T00:00:00.000Z",
            "primaryLicense": {
              "...": "..."
            },
            "dashboardLayoutId": "00000000-0000-0000-0000-000000000000",
            "panorama": true,
            "emailLayout": {
              "...": "..."
            },
            "appearance": {
              "...": "..."
            },
            "catalog": {
              "...": "..."
            },
            "sku": "string",
            "slug": "example-slug",
            "customHost": "string",
            "sso": {
              "...": "..."
            },
            "redemptionLayoutId": "00000000-0000-0000-0000-000000000000",
            "pendingJobs": [
              {
                "...": "..."
              }
            ],
            "seatsAllocatedCount": 0,
            "seatsLimit": 0,
            "seatsUsedCount": 0,
            "tags": [
              {
                "...": "..."
              }
            ],
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "licenses": [
              {
                "...": "..."
              }
            ],
            "licenseTree": [
              {
                "...": "..."
              }
            ],
            "currentUserManagerAllocatedLicenseTree": [
              {
                "...": "..."
              }
            ],
            "notificationEmails": "string",
            "enableSegmentation": true,
            "enableDiscussions": true,
            "enableCommunitiesSegmentation": true,
            "enableBranding": true,
            "enableEcommerce": true,
            "enableOnboardingSurvey": true,
            "enableRecommendationAssessment": true,
            "enableGlobalLinks": true,
            "enableNavLinks": true,
            "enableContentDetailPage": true,
            "enableLicenseDashboards": true,
            "enableCustomEmailSettings": true,
            "disabled": true,
            "clientSubscriptionNeedsSetup": true,
            "defaultLanguage": "string",
            "languageSelectorEnabled": true,
            "languages": [
              "string"
            ],
            "autoFilterForSelectedLanguage": true,
            "secretKey": "string",
            "enableCreditPurchasing": true,
            "currentBalance": 0,
            "startingBalance": 0,
            "allocatedCredits": 0,
            "clientAdminAllocatableLearningPaths": [
              "00000000-0000-0000-0000-000000000000"
            ]
          },
          "clientId": "00000000-0000-0000-0000-000000000000",
          "ref1": "string",
          "ref2": "string",
          "ref3": "string",
          "ref4": "string",
          "ref5": "string",
          "ref6": "string",
          "ref7": "string",
          "ref8": "string",
          "ref9": "string",
          "ref10": "string",
          "lang": "string",
          "preferredCurrency": "string",
          "customFields": {},
          "recommendedTags": [
            {
              "label": "string",
              "boost": 0
            }
          ],
          "recommendedSlugs": [
            {
              "slug": "string",
              "boost": 0
            }
          ],
          "accessedFlows": [
            "string"
          ],
          "disabled": true,
          "learnerUserId": "00000000-0000-0000-0000-000000000000",
          "managerUserId": "00000000-0000-0000-0000-000000000000",
          "balance": 0